Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class PluginGenerator

    java.lang.Object
      |
      +--org.apache.jasper.compiler.GeneratorBase
            |
            +--org.apache.jasper.compiler.PluginGenerator

All Implemented Interfaces:
  Generator, ServiceMethodPhase

public class PluginGenerator
extends org.apache.jasper.compiler.GeneratorBase
implements ServiceMethodPhase

Generator for

Author:
  Rajiv Mordani [mode@eng.sun.com], Danno Ferrin

Field Summary
`protected JspCompilationContext` | `ctxt`

Constructor Summary
`PluginGenerator(Mark start, org.xml.sax.Attributes attrs, java.util.Hashtable param, java.lang.String fallback, boolean isXml)`

Method Summary
`void` | `generate(ServletWriter writer, java.lang.Class phase)`
`void` | `generateCommon(ServletWriter writer)`
`boolean` | `generateCoordinates(java.lang.Class phase)`
`java.lang.String` | `getAttribute(java.lang.String name)`
`void` | `init(JspCompilationContext ctxt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ctxt

    protected JspCompilationContext ctxt

Constructor Detail

### PluginGenerator

    public PluginGenerator(Mark start,
                           org.xml.sax.Attributes attrs,
                           java.util.Hashtable param,
                           java.lang.String fallback,
                           boolean isXml)

Method Detail

### init

    public void init(JspCompilationContext ctxt)
              throws JasperException

  Specified by:
    `init` in interface `Generator`
  Overrides:
    `init` in class `org.apache.jasper.compiler.GeneratorBase`
    `JasperException`

### generate

    public void generate(ServletWriter writer,
                         java.lang.Class phase)
                  throws JasperException

  Specified by:
    `generate` in interface `Generator`
    `JasperException`

### generateCommon

    public void generateCommon(ServletWriter writer)

### getAttribute

    public java.lang.String getAttribute(java.lang.String name)

### generateCoordinates

    public boolean generateCoordinates(java.lang.Class phase)

  Specified by:
    `generateCoordinates` in interface `Generator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.